Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.model
Class CalculationChain

    java.lang.Object
      org.apache.poi.POIXMLDocumentPart
          org.apache.poi.xssf.model.CalculationChain

    public class CalculationChain

extends POIXMLDocumentPart

The cells in a workbook can be calculated in different orders depending on various optimizations and dependencies. The calculation chain object specifies the order in which the cells in a workbook were last calculated.

Author:
  Yegor Kozlov

Field Summary

Fields inherited from class org.apache.poi.POIXMLDocumentPart
`DEFAULT_XML_OPTIONS`

Constructor Summary
`CalculationChain()`
`CalculationChain(PackagePart part, PackageRelationship rel)`

Method Summary
`org.openxmlformats.schemas.spreadsheetml.x2006.main.CTCalcChain` | `getCTCalcChain()`
`void` | `readFrom(java.io.InputStream is)`
`void` | `removeItem(int sheetId, java.lang.String ref)` Remove a formula reference from the calculation chain
`void` | `writeTo(java.io.OutputStream out)`

Methods inherited from class org.apache.poi.POIXMLDocumentPart
`createRelationship, createRelationship, getPackagePart, getPackageRelationship, getParent, getRelations, removeRelation, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CalculationChain

    public CalculationChain()

### CalculationChain

    public CalculationChain(PackagePart part,
                            PackageRelationship rel)
                     throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### readFrom

    public void readFrom(java.io.InputStream is)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeTo

    public void writeTo(java.io.OutputStream out)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### getCTCalcChain

    public org.openxmlformats.schemas.spreadsheetml.x2006.main.CTCalcChain getCTCalcChain()

### removeItem

    public void removeItem(int sheetId,
                           java.lang.String ref)

  Remove a formula reference from the calculation chain

  Parameters:
    `sheetId` - the sheet Id of a sheet the formula belongs to.
    `ref` - A1 style reference to the cell containing the formula.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD